<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSS Internal -->
    <link rel="stylesheet" href="css/index.css">

    <!-- Bootstraps -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css">

    <!-- FONT -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:wght@500&display=swap" rel="stylesheet">

</head>

<body>

    <div id="mySidebar" class="sidebar">
        <a href="javascript:void(0)" class="closebtn " onclick="closeNav()"><label
                style="height: 1em; width: 1.3em; background-color: white;"></label></a>
        <a id="third" class="open3nd" onclick="openThirdNav()"><i class="bi bi-house-door" style="color: white;"></i>
            <label style="font-size: 0.5em; margin-left: -1em;">Dashboard</label> </a>
        <a id="second" class="open2nd" onclick="openSecNav()"><i class="bi bi-truck" style="color: white;">
            </i> <label style="font-size: 0.6em;">Cars</label></a>
    </div>

    <div id="secondSidebar" class="sidebar2">
        <a href="javascript:void(0)" class="closebtn" onclick="closeSecNav()">x</a>
        <button type="button" class="btn btn-outline-secondary w-100" style="border-color: white; height: 8%"> <a
                href="/" class="fw-bold"
                style="float: left; color: black; font-size: 1.1em; margin-left: -1.1em;">CARS</a></button>
        <button type="button" class="btn btn-outline-secondary w-100" style="border-color: white; height: 8%"> <a
                href="/" class="fw-bold" style="float: left; color: black; font-size: 1.1em; margin-left: -1.1em;">List
                Car</a></button>
    </div>
    </div>

    <div id="thirdSidebar" class="sidebar3">
        <a href="javascript:void(0)" class="closebtn" onclick="closeThirdNav()">x</a>
        <button type="button" class="btn btn-outline-secondary w-100" style="border-color: white; height: 8%;"> <label
                class="fw-bold" style="float: left; color: black;">Account</label> </button>
        <button type="button" class="btn btn-outline-secondary w-100" style="border-color: white; height: 8%"><label
                class="fw-bold" style="float: left; color: black;">About</label></button>
        <button type="button" class="btn btn-outline-secondary w-100" style="border-color: white; height: 8%"><label
                class="fw-bold" style="float: left; color: black;">Setting</label></button>
    </div>

    <!-- MAIN -->
    <nav>
        <div id="main">
            <div class="d-flex bd-highlight" style="background-color: white; display: inline;">
                <div class="p-2 flex-grow-1 bd-highlight m-auto">
                    <label style="width: 8em; height: 2em; background-color: #cfd4ed;"></label>
                    <button class="openbtn ms-3" onclick="openNav()" ondblclick="closeNav()"
                        style="background-color: white; color: black;">☰</button>
                </div>
                <!-- Navbar Search -->
                <div class="p-2 bd-highlight">
                    <label class="mt-2">
                        <form class="d-none d-md-inline-block form-inline ms-auto me-0 me-md-3 my-2 my-md-0">
                            <div class="input-group">
                                <input class="form-control" type="text" placeholder="Search for..."
                                    aria-label="Search for..." aria-describedby="btnNavbarSearch" />
                                <button class="btn btn-primary" id="btnNavbarSearch" type="button"><i
                                        class="fas fa-search"></i>Search</button>
                            </div>
                        </form>
                    </label>

                    <!-- Account -->
                    <label>
                        <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button"
                                    data-bs-toggle="dropdown" aria-expanded="false"><img
                                        src=" image/Group 15.png"><label class="ms-lg-2 me-lg-2" style="color: black;">
                                        Unis
                                        Badri</label></a>
                                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <li><a class="dropdown-item" href="#!">Settings</a></li>
                                    <li><a class="dropdown-item" href="#!">Activity Log</a></li>
                                    <li>
                                        <hr class="dropdown-divider" />
                                    </li>
                                    <li><a class="dropdown-item" href="#!">Logout</a></li>
                                </ul>
                            </li>
                        </ul>
                    </label>
                </div>
            </div>


            <main><%- body %></main>

        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
        </script>

        <script>
            function openNav() {
                document.getElementById("mySidebar").style.width = "100px";
                document.getElementById("main").style.marginLeft = "100px";
            }

            function closeNav() {
                document.getElementById("mySidebar").style.width = "0";
                document.getElementById("main").style.marginLeft = "0";
                document.getElementById("secondSidebar").style.width = "0";
                document.getElementById("second").style.marginLeft = "0";
                document.getElementById("thirdSidebar").style.width = "0";
                document.getElementById("third").style.marginLeft = "0";
                document.getElementById("main").style.marginLeft = "0";

            }

            function openSecNav() {
                document.getElementById("secondSidebar").style.width = "15em";
                document.getElementById("second").style.marginLeft = "15em";
                document.getElementById("main").style.marginLeft = "22em";
                document.getElementById("thirdSidebar").style.width = "0";
                document.getElementById("third").style.marginLeft = "0";
            }

            function closeSecNav() {
                document.getElementById("secondSidebar").style.width = "0";
                document.getElementById("second").style.marginLeft = "0";
                document.getElementById("main").style.marginLeft = "6em";
            }

            function openThirdNav() {
                document.getElementById("thirdSidebar").style.width = "15em";
                document.getElementById("third").style.marginLeft = "15em";
                document.getElementById("main").style.marginLeft = "22em";
                document.getElementById("secondSidebar").style.width = "0";
                document.getElementById("second").style.marginLeft = "0";
            }

            function closeThirdNav() {
                document.getElementById("thirdSidebar").style.width = "0";
                document.getElementById("third").style.marginLeft = "0";
                document.getElementById("main").style.marginLeft = "6em";
            }
        </script>

</body>

</html>